package com.yd.base.api.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yd.base.feign.request.speciestype.ApiSpeciesTypeAddRequest;
import com.yd.base.feign.request.speciestype.ApiSpeciesTypeEditRequest;
import com.yd.base.feign.request.speciestype.ApiSpeciesTypePageRequest;
import com.yd.base.feign.response.speciestype.ApiSpeciesTypeDetailResponse;
import com.yd.base.feign.response.speciestype.ApiSpeciesTypePageResponse;
import com.yd.common.result.Result;

public interface SpeciesTypeService {
    Result<IPage<ApiSpeciesTypePageResponse>> page(ApiSpeciesTypePageRequest request);

    Result add(ApiSpeciesTypeAddRequest request);

    Result edit(ApiSpeciesTypeEditRequest request);

    Result<ApiSpeciesTypeDetailResponse> detail(String speciesTypeBizId);

    Result del(String speciesTypeBizId);
}
